<?php
/**
 * All settings related to popular block post.
 *
 * @package BlogAura
 */

 $wp_customize->add_section(
	'featured_block',
	array(
		'title' => esc_html__( 'Featured Block Section', 'blogaura' ),
		'panel' => 'front_page_theme_options_panel',
	)
);

 $wp_customize->add_setting(
  'blogaura_options[enable_featured_block]',
  array(
      'default'           => $blogaura_default['enable_featured_block'],
      'sanitize_callback' => 'blogaura_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogaura_options[enable_featured_block]',
  array(
      'label'       => esc_html__( 'Enable Featured Block', 'blogaura' ),
      'section'     => 'featured_block',
      'type'        => 'checkbox',
  )
);

$wp_customize->add_setting(
    'blogaura_options[featured_block_category]',
    array(
        'default'           => $blogaura_default['featured_block_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    new BlogAura_Dropdown_Taxonomies_Control(
        $wp_customize,
        'blogaura_options[featured_block_category]',
        array(
            'label'           => __( 'Choose Category', 'blogaura' ),
            'description'     => __( 'Leave Empty if you don\'t want the posts to be category specific', 'blogaura' ),
            'section'         => 'featured_block',
        )
    )
);


$wp_customize->add_setting(
  'blogaura_options[enable_featured_block_category_meta]',
  array(
      'default' => $blogaura_default['enable_featured_block_category_meta'],
      'sanitize_callback' => 'blogaura_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogaura_options[enable_featured_block_category_meta]',
  array(
      'label' => esc_html__('Enable Category Meta', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);

$wp_customize->add_setting(
  'blogaura_options[featured_block_category_label]',
  array(
      'default' => $blogaura_default['featured_block_category_label'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogaura_options[featured_block_category_label]',
  array(
      'label' => __('Category Label', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);

$wp_customize->add_setting(
  'blogaura_options[select_featured_block_category_color]',
  array(
      'default' => $blogaura_default['select_featured_block_category_color'],
      'sanitize_callback' => 'blogaura_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_category_color]',
  array(
      'label' => esc_html__('Select Category Color', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogaura_category_color(),
  )
);

$wp_customize->add_setting(
  'blogaura_options[select_featured_block_number_of_category]',
  array(
      'default' => $blogaura_default['select_featured_block_number_of_category'],
      'sanitize_callback' => 'absint',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_number_of_category]',
  array(
      'label' => __('Number of Category', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'number',
  )
);

$wp_customize->add_setting(
  'blogaura_options[enable_featured_block_author_meta]',
  array(
      'default' => $blogaura_default['enable_featured_block_author_meta'],
      'sanitize_callback' => 'blogaura_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogaura_options[enable_featured_block_author_meta]',
  array(
      'label' => esc_html__('Display Author Meta', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);
$wp_customize->add_setting(
  'blogaura_options[select_featured_block_author_meta]',
  array(
      'default' => $blogaura_default['select_featured_block_author_meta'],
      'sanitize_callback' => 'blogaura_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_author_meta]',
  array(
      'label' => esc_html__('Select Author Meta', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogaura_author_meta(),
  )
);
$wp_customize->add_setting(
  'blogaura_options[featured_block_author_meta_title]',
  array(
      'default' => $blogaura_default['featured_block_author_meta_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogaura_options[featured_block_author_meta_title]',
  array(
      'label' => __('Author Meta Text', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);
$wp_customize->add_setting(
  'blogaura_options[enable_featured_block_date_meta]',
  array(
      'default' => $blogaura_default['enable_featured_block_date_meta'],
      'sanitize_callback' => 'blogaura_sanitize_checkbox',
  )
);
$wp_customize->add_control(
  'blogaura_options[enable_featured_block_date_meta]',
  array(
      'label' => esc_html__('Display Published Date', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'checkbox',
  )
);
$wp_customize->add_setting(
  'blogaura_options[select_featured_block_date]',
  array(
      'default' => $blogaura_default['select_featured_block_date'],
      'sanitize_callback' => 'blogaura_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_date]',
  array(
      'label' => esc_html__('Select Single Date Meta', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogaura_date_meta(),
  )
);
$wp_customize->add_setting(
  'blogaura_options[select_featured_block_date_meta_title]',
  array(
      'default' => $blogaura_default['select_featured_block_date_meta_title'],
      'sanitize_callback' => 'sanitize_text_field',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_date_meta_title]',
  array(
      'label' => __('Date Text', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'text',
  )
);
$wp_customize->add_setting(
  'blogaura_options[select_featured_block_date_format]',
  array(
      'default' => $blogaura_default['select_featured_block_date_format'],
      'sanitize_callback' => 'blogaura_sanitize_select',
  )
);
$wp_customize->add_control(
  'blogaura_options[select_featured_block_date_format]',
  array(
      'label' => esc_html__('Select Date Format', 'blogaura'),
      'section' => 'featured_block',
      'type' => 'select',
      'choices' => blogaura_get_date_formats(),
  )
);
